<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.vessel.app.testnotaccurate.TestNotAccurateViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/parentContainer"
        android:background="@drawable/primary_background"
        android:padding="@dimen/spacing_large">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/closeDialogButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:onClick="@{() -> viewModel.dismiss()}"
            android:src="@drawable/ic_close_black_background"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            style="@style/Title.XL"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/spacing_normal"
            android:text="@string/test_not_accurate_title"
            android:textSize="@dimen/font_title_l"
            app:layout_constraintEnd_toStartOf="@id/closeDialogButton"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ScrollView
            style="@style/ScrollableContainer.Form"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/spacing_large"
            android:layout_marginBottom="@dimen/spacing_normal"
            android:paddingStart="@dimen/spacing_0"
            android:paddingEnd="@dimen/spacing_0"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/title">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/body"
                    style="@style/Text.Small"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textColor="@color/darkText"
                    app:layout_constraintTop_toTopOf="parent"
                    app:setLinkText="@{viewModel.formattedDescription()}"
                    tools:text="@string/test_not_accurate_description" />

                <com.vessel.app.views.BlackRoundedButtonGroup
                    android:id="@+id/viewAndroidUpdatesButton"
                    style="@style/FooterButton.Small"
                    android:layout_marginStart="@dimen/spacing_small"
                    android:layout_marginTop="@dimen/spacing_large"
                    android:layout_marginEnd="@dimen/spacing_small"
                    android:layout_marginBottom="@dimen/spacing_normal"
                    android:onClick="@{() -> viewModel.onViewAndroidUpdates()}"
                    app:layout_constraintBottom_toTopOf="@id/proceedTestButton"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/body"
                    app:smallText="@{true}"
                    app:text="@{@string/view_android_updates}"
                    tools:background="@color/blackAlpha70" />

                <com.vessel.app.views.WhiteRoundedButtonGroup
                    android:id="@+id/proceedTestButton"
                    style="@style/FooterButton.Small"
                    android:layout_marginStart="@dimen/spacing_small"
                    android:layout_marginTop="@dimen/spacing_normal"
                    android:layout_marginEnd="@dimen/spacing_small"
                    android:backgroundTint="@color/white"
                    android:onClick="@{() -> viewModel.onProceedAnywayClicked()}"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/viewAndroidUpdatesButton"
                    app:smallText="@{true}"
                    app:text="@{@string/take_test_anyway}"
                    tools:background="@color/whiteAlpha70" />

            </androidx.constraintlayout.widget.ConstraintLayout>
        </ScrollView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
